---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View sales prices

Returns a list of given Products' SalesPrices

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product",
      "description": "Product represents the services or things given company sells in the business."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/products/{id}/salesPrices": {
      "get": {
        "tags": [
          "Product"
        ],
        "operationId": "product.listSalesPrices",
        "summary": "View sales prices",
        "description": "Returns a list of given Products' SalesPrices",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "style": "deepObject",
            "schema": {
              "type": "object",
              "additionalProperties": false,
              "required": [
                "number",
                "size"
              ],
              "properties": {
                "number": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page number should be an integer greater than or equal to 1"
                },
                "size": {
                  "type": "string",
                  "pattern": "\\d+",
                  "description": "Page size should usually be an integer between 10 and 50."
                }
              }
            }
          },
          {
            "name": "order",
            "in": "query",
            "style": "deepObject",
            "schema": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "field": {
                    "type": "string",
                    "enum": [
                      "id",
                      "amount",
                      "priceAmount",
                      "customer",
                      "customerName"
                    ]
                  },
                  "dir": {
                    "type": "string",
                    "enum": [
                      "asc",
                      "desc"
                    ]
                  }
                }
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "additionalProperties": false,
                        "properties": {
                          "id": {
                            "type": "string",
                            "pattern": "\\d+",
                            "example": "17",
                            "description": "Resource identifier."
                          },
                          "name": {
                            "x-description-missing": true,
                            "type": "string",
                            "example": "Sample Product Name"
                          },
                          "validFrom": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "date",
                            "nullable": true,
                            "example": "2024-01-01"
                          },
                          "expiresAt": {
                            "x-description-missing": true,
                            "type": "string",
                            "format": "date",
                            "nullable": true,
                            "example": "2024-12-31"
                          },
                          "amount": {
                            "x-description-missing": true,
                            "type": "integer",
                            "example": 5
                          },
                          "customer": {
                            "description": "An optional object with id and name",
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "name"
                            ],
                            "nullable": true,
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "name": {
                                "type": "string"
                              }
                            },
                            "example": {
                              "id": "1337",
                              "name": "Diamond"
                            }
                          },
                          "customerGroup": {
                            "x-description-missing": true,
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "name"
                            ],
                            "nullable": true,
                            "properties": {
                              "id": {
                                "type": "string",
                                "pattern": "\\d+",
                                "example": "17",
                                "description": "Resource identifier."
                              },
                              "name": {
                                "type": "string"
                              },
                              "reference": {
                                "type": "string"
                              }
                            },
                            "example": {
                              "id": "123456",
                              "name": "Sample Item",
                              "reference": "REF-7890"
                            }
                          },
                          "price": {
                            "description": "Money object with amount and currency",
                            "example": {
                              "amount": "13.37",
                              "currency": "EUR"
                            },
                            "type": "object",
                            "additionalProperties": false,
                            "properties": {
                              "amount": {
                                "description": "A string representing the amount",
                                "type": "string",
                                "format": "float",
                                "example": "24.99"
                              },
                              "currency": {
                                "type": "string",
                                "pattern": "[A-Z]{3}",
                                "enum": [
                                  "EUR",
                                  "USD",
                                  "JPY",
                                  "BGN",
                                  "CZK",
                                  "DKK",
                                  "GBP",
                                  "HUF",
                                  "PLN",
                                  "RON",
                                  "SEK",
                                  "CHF",
                                  "ISK",
                                  "NOK",
                                  "HRK",
                                  "RUB",
                                  "TRY",
                                  "AUD",
                                  "BRL",
                                  "CAD",
                                  "CNY",
                                  "HKD",
                                  "IDR",
                                  "ILS",
                                  "INR",
                                  "KRW",
                                  "MXN",
                                  "MYR",
                                  "NZD",
                                  "PHP",
                                  "SGD",
                                  "THB",
                                  "ZAR",
                                  "ARS",
                                  "CLP",
                                  "SAR",
                                  "AED",
                                  "QAR"
                                ],
                                "description": "Currency matches one of currency values as specified in ISO-4217.",
                                "example": "PLN"
                              }
                            }
                          }
                        }
                      }
                    },
                    "extra": {
                      "type": "object",
                      "required": [
                        "page"
                      ],
                      "additionalProperties": false,
                      "description": "Pagination data from the current request.",
                      "properties": {
                        "page": {
                          "description": "The pagination object containing the current page number and size",
                          "type": "object",
                          "required": [
                            "number",
                            "size"
                          ],
                          "additionalProperties": false,
                          "properties": {
                            "number": {
                              "type": "integer"
                            },
                            "size": {
                              "type": "integer"
                            }
                          },
                          "example": {
                            "number": 1,
                            "size": 10
                          }
                        }
                      },
                      "example": {
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Lists all sales prices for a given product": {
                    "value": {
                      "data": [
                        {
                          "id": "2",
                          "customer": {
                            "id": "7",
                            "name": "Thilo Altmann-Meyer"
                          },
                          "customerGroup": null,
                          "validFrom": "2024-04-01",
                          "expiresAt": "2024-04-30",
                          "amount": 1,
                          "price": {
                            "amount": "0.16000000",
                            "currency": "EUR"
                          }
                        },
                        {
                          "id": "17",
                          "customer": null,
                          "customerGroup": null,
                          "validFrom": null,
                          "expiresAt": "2024-12-12",
                          "amount": 10,
                          "price": {
                            "amount": "3.00000000",
                            "currency": "CHF"
                          }
                        },
                        {
                          "id": "16",
                          "customer": null,
                          "customerGroup": null,
                          "validFrom": "2025-01-01",
                          "expiresAt": null,
                          "amount": 10,
                          "price": {
                            "amount": "3.00000000",
                            "currency": "CHF"
                          }
                        }
                      ],
                      "extra": {
                        "page": {
                          "number": 1,
                          "size": 10
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```